com.saxonica.bytecode.converter

## Class ConverterCompiler

- java.lang.Object
- - com.saxonica.bytecode.converter.ConverterCompiler

- Direct Known Subclasses:
    AnyTypeToStringConverterCompiler, BooleanToDoubleCompiler, BooleanToFloatCompiler, BooleanToIntegerCompiler, BooleanToStringCompiler, BooleanToUntypedAtomicCompiler, ConverterCompiler.GenericConverterCompiler, DoubleToBooleanCompiler, DoubleToFloatCompiler, DoubleToIntegerCompiler, DoubleToStringCompiler, DoubleToUntypedAtomicCompiler, FloatToBooleanCompiler, FloatToDoubleCompiler, FloatToIntegerCompiler, FloatToStringCompiler, FloatToUntypedAtomicCompiler, IntegerToBooleanCompiler, IntegerToDoubleCompiler, IntegerToFloatCompiler, IntegerToStringCompiler, IntegerToUntypedAtomicCompiler, StringToBooleanCompiler, StringToDoubleCompiler, StringToFloatCompiler, StringToIntegerCompiler, StringToUntypedAtomicCompiler

      public abstract class ConverterCompiler
      extends Object

  This class generates code to implement a casting conversion.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConverterCompiler.GenericConverterCompiler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `compileToItem(CompilerService compiler, Expression expression)`
    `void` | `compileToPrimitive(CompilerService compiler, Expression expression, Class requiredClass, OnEmpty onEmpty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterCompiler

          public ConverterCompiler()

  - ### Method Detail

    - #### compileToItem

          public abstract void compileToItem(CompilerService compiler,
                           Expression expression)
                                      throws CannotCompileException

      Throws:
        `CannotCompileException`

    - #### compileToPrimitive

          public void compileToPrimitive(CompilerService compiler,
                                Expression expression,
                                Class requiredClass,
                                OnEmpty onEmpty)
                                  throws CannotCompileException

      Throws:
        `CannotCompileException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.